Update Expected Machine

View as Markdown
Update an existing Expected Machine by ID. Org must have an Infrastructure Provider entity. User must have authorization role with `PROVIDER_ADMIN` suffix. Infrastructure Provider must own the Expected Machine. Alternatively, Tenant Admins with `TargetedInstanceCreation` capability can also update Expected Machines if they have an account with the Site's Infrastructure Provider.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
expectedMachineIdstringRequired
ID of the Expected Machine

Request

Expected Machine update request
idstring or nullOptionalformat: "uuid"

ID of the Expected Machine to update.

Optional for individual Expected Machine update (ignored if provided, ID from URL path is used).

Required for batch update operations.

defaultBmcUsernamestring or nullOptional<=16 characters
Username for accessing the Expected Machine's BMC
defaultBmcPasswordstring or nullOptional<=20 characters
Password for accessing the Expected Machine's BMC
chassisSerialNumberstring or nullOptional1-32 characters
Serial number of the Expected Machine's chassis
fallbackDPUSerialNumberslist of strings or nullOptional

Serial numbers of the Expected Machine’s fallback DPUs (Data Processing Units)

skuIdstring or nullOptional
Optional ID of the SKU to associate with this Expected Machine
rackIdstring or nullOptional
Optional rack identifier for this component
bmcIpAddressstring or nullOptional

Optional BMC IP address (IPv4 or IPv6). A non-empty address sets the value and pre-allocates a reserved IP for the BMC. An empty string clears the value. Omission or null preserves the current value.

namestring or nullOptional
Display name for this component
manufacturerstring or nullOptional
Manufacturer of this component
modelstring or nullOptional
Model of this component
descriptionstring or nullOptional
Description of this component
slotIdinteger or nullOptional
Slot ID within the rack
trayIdxinteger or nullOptional
Tray index within the rack
hostIdinteger or nullOptional
Host ID within the tray
isDpfEnabledboolean or nullOptional

When true, this host is eligible for DPF-based provisioning.

labelsmap from strings to stringsOptional

User-defined key-value pairs for organizing and categorizing Expected Machines

hostLifecycleProfileobjectOptional

Optional per-host lifecycle profile

bmcMacAddressstring or nullOptionalformat: "^([0-9A-Fa-f]{2}[:-]){5}([0-9A-Fa-f]{2})$"Deprecated

The Expected Machine’s BMC MAC address is immutable after creation. Omit this field, or provide another case/separator spelling of the current MAC as a compatibility no-op.

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique identifier for the Expected Machine
siteIdstringOptionalRead-onlyformat: "uuid"
ID of the site the Expected Machine belongs to
bmcMacAddressstringOptionalformat: "^([0-9A-Fa-f]{2}[:-]){5}([0-9A-Fa-f]{2})$"

MAC address of the Expected Machine’s BMC (Baseboard Management Controller)

chassisSerialNumberstringOptional
Serial number of the Expected Machine's chassis
fallbackDPUSerialNumberslist of stringsOptional

Serial numbers of the Expected Machine’s fallback DPUs (Data Processing Units)

skuIdstring or nullOptional
Optional ID of the SKU associated with this Expected Machine
skuobjectOptional

SKU information for this Expected Machine (populated when includeRelation=Sku is specified)

machineIdstring or nullOptional
Optional ID of the Machine associated with this Expected Machine
machineobjectOptional

Machine information for this Expected Machine (populated when includeRelation=Machine is specified)

rackIdstring or nullOptional
Optional rack identifier for this component
bmcIpAddressstring or nullOptional

Optional BMC IP address (IPv4 or IPv6). When set, pre-allocates a reserved IP for the BMC.

namestring or nullOptional
Display name for this component
manufacturerstring or nullOptional
Manufacturer of this component
modelstring or nullOptional
Model of this component
descriptionstring or nullOptional
Description of this component
slotIdinteger or nullOptional
Slot ID within the rack
trayIdxinteger or nullOptional
Tray index within the rack
hostIdinteger or nullOptional
Host ID within the tray
isDpfEnabledbooleanOptional

When true, this host is eligible for DPF-based provisioning.

labelsmap from strings to stringsOptional

User-defined key-value pairs for organizing and categorizing Expected Machines

hostLifecycleProfileobjectOptional

Optional per-host lifecycle profile

createddatetimeOptionalRead-only
ISO 8601 datetime when the Expected Machine was created
updateddatetimeOptionalRead-only
ISO 8601 datetime when the Expected Machine was last updated

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error